import { Knex } from 'knex';
declare const db: Knex;
export declare function init(): Promise<void>;
export default db;
/**
 * A shortcut for easily executing select queries.
 *
 * Use of this should be phased out, but it helped with the migration from
 * before knex.
 */
export declare function query<T = any>(query: string, params?: Knex.ValueDict | Knex.RawBinding[]): Promise<T[]>;
/**
 * Inserts a single record and return id
 *
 * Sadly we need a helper function.
 */
export declare function insertAndGetId<T extends Record<string, any>>(tableName: string, data: T): Promise<number>;
export declare function getSettings(): Knex.Config;
