import { Group, Principal } from '../../principal/types';
import { HalResource } from 'hal-types';
import { PrivilegeMap } from '../../privilege/types';
export declare function memberCollection(group: Group, members: Principal[]): HalResource;
export declare function collection(groups: Group[]): HalResource;
/**
 * Generate a HAL response for a specific group
 */
export declare function item(group: Group, privileges: PrivilegeMap, isAdmin: boolean, groups: Group[], members: Principal[]): HalResource;
