import { Principal, Group } from '../principal/types';
/**
 * Finding group members
 */
export declare function findMembers(group: Group): Promise<Principal[]>;
export declare function addMember(group: Group, user: Principal): Promise<void>;
export declare function replaceMembers(group: Group, users: Principal[]): Promise<void>;
export declare function removeMember(group: Group, user: Principal): Promise<void>;
/**
 * Finding group members
 */
export declare function findGroupsForPrincipal(principal: Principal): Promise<Group[]>;
