import { Context } from '@curveball/core';
import { Principal } from '../principal/types';
import { EventType, LogEntry } from './types';
export declare function log(eventType: EventType, ctx: Context): Promise<void>;
export declare function log(eventType: EventType, ip: string | null, userId: number, userAgent: string | null): Promise<void>;
export default function log(eventType: EventType, arg1: string | Context | null, arg2?: number, arg3?: string | null): Promise<void>;
export declare function addLogEntry(eventType: EventType, ip: string, userId: number, userAgent: string | null): Promise<void>;
export declare function findByUser(user: Principal): Promise<LogEntry[]>;
