export declare enum EventType {
    loginSuccess = 1,
    loginFailed = 2,
    totpFailed = 3,
    changePasswordSuccess = 4,
    resetPasswordRequest = 5,
    resetPasswordSuccess = 6,
    loginFailedInactive = 7,
    webAuthnFailed = 8,
    tokenRevoked = 9,
    oauth2BadRedirect = 11,
    generateAccessToken = 12
}
export declare type LogEntry = {
    time: Date;
    ip: string;
    eventType: EventType;
    userAgent: string | null;
    country: string | null;
};
export declare const eventTypeString: Map<EventType, string>;
