"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const html_1 = require("../formats/html");
class WebAuthnRegisterController extends controller_1.default {
    async get(ctx) {
        const user = ctx.session.registerUser;
        if (!user) {
            return ctx.redirect(303, '/login');
        }
        ctx.response.type = 'text/html';
        ctx.response.body = (0, html_1.registrationForm)(ctx.query.msg, ctx.query.error);
    }
}
exports.default = new WebAuthnRegisterController();
//# sourceMappingURL=register.js.map