import { User } from '../../principal/types';
import { NewWebAuthnDevice, WebAuthnDevice } from './types';
declare type UserWebAuthnRow = {
    id: number;
    user_id: number;
    credential_id: string;
    public_key: string;
    counter: number;
    created: number;
};
export declare function save(webAuthNDevice: NewWebAuthnDevice): Promise<WebAuthnDevice>;
export declare function findDevicesByUser(user: User): Promise<WebAuthnDevice[]>;
export declare function findDeviceByUserAndId(user: User, credentialId: string): Promise<WebAuthnDevice>;
export declare function hasWebauthn(user: User): Promise<boolean>;
export declare function recordToModel(userWebAuthn: UserWebAuthnRow, user: User): WebAuthnDevice;
export {};
