/// <reference types="node" />
import { User, App } from '../principal/types';
import { OAuth2Client } from '../oauth2-client/types';
import { KeyObject } from 'crypto';
export declare function generateJWTAccessToken(user: User | App, client: OAuth2Client, expiry: number, scopes: string[]): Promise<string>;
export declare function getPublicKey(): KeyObject;
