"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const hal = require("../formats/hal");
const privilegeService = require("../service");
class PrivilegeController extends controller_1.default {
    async get(ctx) {
        const privilege = await privilegeService.findPrivilege(ctx.params.id);
        ctx.response.body = hal.item(privilege);
    }
}
exports.default = new PrivilegeController();
//# sourceMappingURL=item.js.map