"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.settings = void 0;
function settings(settingsRules, settings) {
    return {
        _links: {
            self: { href: '/settings', title: 'Server settings' },
        },
        settings: Object.fromEntries(Object.entries(settingsRules).map(([key, value]) => {
            if (!value.isSecret) {
                value.value = settings[key];
            }
            return [key, value];
        })),
    };
}
exports.settings = settings;
//# sourceMappingURL=hal.js.map