import Controller from '@curveball/controller';
import { Context } from '@curveball/core';
declare class GroupMemberCollectionController extends Controller {
    get(ctx: Context): Promise<void>;
    /**
     * PUT replaces the member list.
     *
     * Members must be supplied with the 'item' link.
     */
    put(ctx: Context): Promise<void>;
    /**
     * The POST request here is a simpler rpc-like API to add a new member to the group..
     */
    post(ctx: Context<any>): Promise<void>;
}
declare const _default: GroupMemberCollectionController;
export default _default;
