"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../types");
const sync_1 = require("csv-stringify/sync");
function csv(log) {
    return (0, sync_1.stringify)(log, {
        header: true,
        columns: {
            time: 'time',
            eventType: 'eventType',
            ip: 'ip',
            userAgent: 'userAgent',
            country: 'country',
        },
        cast: {
            date: (value) => value.toISOString(),
            number: (value) => types_1.eventTypeString.get(value),
        }
    });
}
exports.default = csv;
//# sourceMappingURL=csv.js.map