"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.down = exports.up = void 0;
async function up(knex) {
    await knex.schema.alterTable('oauth2_clients', table => {
        table
            .boolean('require_pkce');
    });
    await knex('oauth2_clients')
        .update({ require_pkce: 0 });
    await knex.schema.alterTable('oauth2_clients', table => {
        table
            .boolean('require_pkce')
            .notNullable()
            .alter();
    });
}
exports.up = up;
async function down(knex) {
    await knex.schema.alterTable('oauth2_clients', table => {
        table.dropColumn('require_pkce');
    });
}
exports.down = down;
//# sourceMappingURL=20220503012552_fix-type-constraint.js.map