"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.oneTimeToken = void 0;
function oneTimeToken(user, url, token) {
    return {
        _links: {
            self: {
                href: `/user/${user.id}/one-time-token`,
            },
            'reset-password': {
                href: url,
                title: 'Reset password page',
            },
            user: {
                href: `/user/${user.id}`,
                title: user.nickname
            },
        },
        ...token,
    };
}
exports.oneTimeToken = oneTimeToken;
//# sourceMappingURL=hal.js.map