"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const controller_1 = require("@curveball/controller");
const hal = require("../formats/hal");
const privilegeService = require("../service");
class PrivilegeCollectionController extends controller_1.default {
    async get(ctx) {
        const privileges = await privilegeService.findPrivileges();
        ctx.response.body = hal.collection(privileges);
    }
}
exports.default = new PrivilegeCollectionController();
//# sourceMappingURL=collection.js.map