import Controller from '@curveball/controller';
import { Context } from '@curveball/core';
/**
 * This controller is used for requesting change password when the user forgot the password.
 *
 * In this flow a user first submits the email address and if the email exists in the database,
 * server will send an email.
 */
declare class ResetPasswordRequestController extends Controller {
    get(ctx: Context): Promise<void>;
    post(ctx: Context<any>): Promise<void>;
}
declare const _default: ResetPasswordRequestController;
export default _default;
