import Controller from '@curveball/controller';
import { Context } from '@curveball/core';
/**
 * This controller is used for validating token and rendering reset password form.
 *
 * After a user gets redirected from the reset password request email,
 * the controller will check if the provided token is validated it will render the
 * reset password form.
 */
declare class ResetPasswordTokenController extends Controller {
    get(ctx: Context): Promise<void>;
}
declare const _default: ResetPasswordTokenController;
export default _default;
